Get Table Schema
curl --request GET \
--url https://{resource_uuid}.api.seahorse.dnotitia.ai/v2/data/schema \
--header 'Authorization: Bearer <token>'import requests
url = "https://{resource_uuid}.api.seahorse.dnotitia.ai/v2/data/schema"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{resource_uuid}.api.seahorse.dnotitia.ai/v2/data/schema', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"data": {
"columns": [
{
"name": "id",
"nullable": false,
"type": "STRING"
},
{
"name": "metadata",
"nullable": false,
"type": "STRING"
},
{
"name": "text",
"nullable": false,
"type": "STRING"
},
{
"name": "dense_vector",
"nullable": false,
"type": {
"dim": 4096,
"element": "FLOAT32",
"name": "DENSE_VECTOR"
}
},
{
"name": "sparse_vector",
"nullable": false,
"type": {
"name": "SPARSE_VECTOR"
}
}
],
"configurations": {
"active_set_size_limit": 50000,
"max_threads": 8
},
"indexes": [
{
"column": "dense_vector",
"params": {
"M": 16,
"ef_construction": 128,
"space": "ipspace"
},
"type": "diskbased"
},
{
"column": "sparse_vector",
"params": {
"sparse_model": "bm25"
},
"type": "inverted"
}
],
"primary_key": [
"id"
],
"schema": null,
"segmentation": {
"buckets": 1,
"columns": [
"id"
],
"composition": "single",
"strategy": "hash"
},
"table_name": "14d0508b-c824-4550-8687-f8bdecd9aad1"
},
"exception": null,
"success": true
}{
"code": 400,
"data": null,
"exception": {
"error_code": 400001,
"error_message": "Bad Request: "
},
"success": false
}{
"code": 500,
"data": null,
"exception": {
"error_code": 500001,
"error_message": "Internal error: "
},
"success": false
}테이블 (Table)
Get Table Schema
Retrieve table schema information including columns, indexes, primary keys, and configurations.
GET
/
v2
/
data
/
schema
Get Table Schema
Authorizations
bearerAuthapiKeyAuth
Bearer token authentication. Include the token in the Authorization header as 'Bearer '
Response
Successfully retrieved table schema
HTTP status code.
Required range:
x >= 0Whether the request was successful.
Table Schema Response
Response containing table schema information including columns, indexes, and configurations.
Show child attributes
Show child attributes
Table Schema Response
Response containing table schema information including columns, indexes, and configurations.
Show child attributes
Show child attributes